@charset "UTF-8";

:root {
    --v-space: clamp(90px, 9vw, 120px)
}

body {
    margin: 0;
    background-color: #eeeeee;
}

h1, h2, h3, h4, h5, h6, p, figure, ul{
    margin: 0;
    padding: 0;
    list-style: none;
}

img {
    display: block;
    max-width: 100%;
    height: auto;
}

.w-container {
    width: min(92%, 1166px);
    margin: auto;
}


.header {
    height: 70px;
    background-color: #ffffffff;
    position: sticky;
    top: 0;
    z-index: 10;
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}





.hero {    
    font-family: はれのそら明朝;
    color: aliceblue;
    height: 650px;
    font-size: 60px;
    background-image: url(img/hero1.jpg);
    background-position: center;
    background-size: cover;
}
 
.hero-container {
    display: grid;
    justify-items: center;
    align-content: center;
    height: 100%;
}

.hero h1 {
    margin-bottom: 42px;
}

.hed img{ 
    width: 100%;
    height: auto;
}

.imgtext {
    padding: var(--v-space) 0;
    background-color: #ffffff;
}

.imgtext-container {
    display: flex;
    flex-direction: column;
    gap: clamp(45px, 6vw, 80px);
    font-family: はれのそら明朝;
}

@media (min-width: 768px) {
    .imgtext-container {
        flex-direction: row;
        align-items: center;
    }
    .imgtext-container.reverse {
        flex-direction: row-reverse;
    }
    .imgtext-container > .text {
        flex: 1;
        min-width: 17em;
    }
    .imgtext-container > .img {
        flex: 2;
    }
}

.heading-decoration {
    font-size: clamp(30px, 3vw, 40px);
    min-height: 0vw;
    font-weight: 400;
}

.heading-decoration::after {
    display: block;
    content: '';
    width: 160px;
    height: 0px;
    border-top: solid 1px #b72661;
    margin-top: 0.6em;
}

.heading-decoration + p {
    margin-top: 1em;
    margin-bottom: 2em;
    color: #707070;
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
}


.posts {
    padding: var(--v-space) 0;
    background-color: #ffffff;
}


.posts-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 32px 25px;
    font-family: はれのそら明朝;
}


@media (min-width: 768px) {
    .posts-container {
        grid-template-columns: repeat(3, 1fr);
    }
}

.heading {
    display: grid;
    justify-items: center;
    align-content: center;
    padding-bottom: 50px;
    font-size:  clamp(40px, 5.2vw, 70px);
    min-height: 0vw;
    font-weight: 300;
    font-family: はれのそら明朝;
}


.heading span {
    display: block;
    color: #707070;
    font-size: 18px;
}

.footer {
    padding: 60px 0;
    background-color: #ffffff;
    color: #707070;
    font-size: 13px;
}

.footer-container {
    display: grid;
    gap: 50px;
    justify-items: center;
}

@media (min-width: 768px) {
    .footer-container {
        grid-template-columns: auto auto;
        grid-template-rows: auto auto auto;
        gap: 20px;
    }

    .footer-container > .footer-site {
        margin-bottom: 20px;
    }

    .footer-container > *:not(.footer-sns) {
        justify-self: start;
    }

    .footer-container > .footer-sns {
        grid-column: 2;
        grid-row: 1 / 4;
    }
}


.footer-sns {
    display: flex;
    gap: 24px;
    font-size: 24px;
}

.footer-menu {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}


a:link {
     color: #707070; }


     a {
        text-decoration: none;
      }

.posts-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 32px 25px;
}

.destination {
    display: grid;
    padding: clamp(70px, 2vw, 120px);
    justify-items: center;
    align-content: center;
}

.contain {
    display: grid;
    flex-direction: column;
}

.adress {
    display: grid;
    justify-items: center;
    align-content: center;
    font-family: はれのそら明朝;
    padding-bottom: 120px;
}

.p-decoration::after {
    display: block;
    content: '';
    width: 400px;
    height: 0px;
    border-top: solid 1px #b72661;
    margin-top: 0.6em;
    justify-items: center;
    align-content: center;
}

.midasi {
    font-size: 30px;
    font-family: はれのそら明朝;
    padding-bottom: 20px;
}

.wagasisetumei{
    font-size: 25px;
    font-family: はれのそら明朝;
    padding-bottom: 20px;
}

